# Namespace: deployments

## CaskSDK.deployments

Contract deployment information.

### Example

    CaskSDK.deployments.CaskSubscriptions[CaskSDK.environments.TESTNET][CaskSDK.chains.POLYGON_MUMBAI.chainId]

### Members

#### (static, constant) deployments

##### Properties:

Name | Type | Description
--- | --- | ---
`CaskSubscriptions` |  | CaskSubscriptions contract address for a given environment/chain deployment.
`CaskSubscriptionPlans` |  | CaskSubscriptionPlans contract address for a given environment/chain deployment.
`CaskVault` |  | CaskVault contract address for a given environment/chain deployment.
`CaskToken` |  |
`CaskAirdrop` |  |

### Methods

#### (static) isSupported(environment, chainId) → {boolean}

See if a given environment/chain pair is valid

##### Parameters:

Name | Type | Description
--- | --- | ---
`environment` |  |
`chainId` |  |

##### Returns:

Type
  boolean